<?php 

$datas = time();
$chet=rand(11111,99999); 
$color_c=1; //сумма за цвет
$su=5; //сумма за 1 день
include 'db.php';
switch ($_GET['act']) {
default:
echo '<form action="index.php?act=ok" method="post" name="form">
URL сайта:<br /><input name="url" type="text" maxlength="50" value="http://" /><br /> 

            Название ссылки:<br /><input name="name" type="text" maxlength="32" /><br /> 
            Количество дней:<br /><input name="days" type="text" size="5" /><br /> 
            Цвет ссылки:<br />  Пример:"#FFFFFF" или "red" (Без кавычек)</br>
<input name="color" type="text" size="5" /><br /> 
            Способ оплаты: Webmoney Merchant<br /> ';
echo 'Сумма в 1 день(без цвета): '.$su.'</br>';
           echo ' Добавление цвета в день: '.$color_c.' руб.<br> 

            <br> 

            <input name="submit" type="submit" value="Перейти к оплате" />
            </form>';
break;

case 'ok':
$url= ($_POST['url']);  

if(mb_strlen($url) > 50 or mb_strlen($url) < 3){ echo 'Слишком маленькая/длинная ссылка</br> 
<a href="index.php">Back</a>';  
exit();  
}  
if(empty($url))  
{  
echo 'Введите ссылку сайта';  
echo '<a href="index.php">Назад</a>'; 
exit();  
}  
$name = ($_POST['name']);  
if(empty($name))   
{   
echo 'Введите название сайта';   

echo '<a href="index.php">Назад</a>';   
exit();   
}   

if(mb_strlen($name) > 30 or mb_strlen($name) < 3){  
echo 'Слишком маленькое/длинное название сайта </br><a href="index.php">Back</a>';  

exit();  
}  
$days = ($_POST['days']);  
if(empty($days))   
{   
echo 'Введите количество дней';   
echo '<a href="index.php">Назад</a>';   
exit();   
}   

if (!preg_match('/[0-9]+$/i',$days)){echo 'Вводить только цифры'; echo '<a href="index.php">Back</a>'; exit ();}

$color = ($_POST['color']);  

if(empty($color)) {$color_c=0;}

$sum = ($su + $color_c)*$days;  

echo '<title>Оплата</title>';//заголовок 
echo '<form id="tatarin12325secret" name="pay" method="POST"  

action="https://merchant.webmoney.ru/lmi/payment.asp"> 
<b>Приём платежа:</b> 

Сумма:'.$sum.' wmr</br><input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$sum.'">'; //Сумма (решайте сами text - поле видно, hidden - скрыто) 


 mysql_query("INSERT INTO `rek` SET `url` = '".$url."', `name` = '".$name."', `color` = '".$color."', `days` = '".$days."', `data` = '".$datas."', `sum` = '".$sum."', `num` = '".$chet."'");


echo ' 

<input type="hidden" name="LMI_PAYMENT_DESC" value="Payment!" Base64>';//Коментарий к платежу 
echo '<input type="hidden" name="LMI_PAYMENT_NO" value="'.$chet.'">';//id счёта 


echo '<input type="hidden" name="tralala" value="'.$sum.'">';//Кош для оплаты 
echo '<input type="hidden" name="LMI_PAYEE_PURSE" value="R164504063695">';


echo '<input type="hidden" name="LMI_SIM_MODE" value="0">';//Лимит на день, 0 - без лимита 

echo '<input type="submit" value="Оплатить">';

break;

case 'da':

echo 'Ваш сайт добавлен';
break;

 case 'fail':
echo 'Операция провалена <a href="index.php">Back</a>';

break;


}

?> 
